# Class HomeStructureEvent

java.lang.Object
com.codename1.home.HomeStructureEvent

public final class HomeStructureEvent extends Object
Notification that the home graph moved, delivered to a `HomeStructureListener` on the EDT.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HomeStructureEvent(StructureChangeKind kind, String structureId, String accessoryId)`
  Creates an event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessoryId()`
  The accessory this is about.
  `StructureChangeKind`
  `getKind()`
  What changed.
  `String`
  `getStructureId()`
  The home this is about.
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HomeStructureEvent

    public HomeStructureEvent(StructureChangeKind kind, String structureId, String accessoryId)

    Creates an event. Called by the ports and by the local home.

    ###### Parameters

    - `kind`: what changed; `null` becomes `StructureChangeKind.STRUCTURES_CHANGED`, the conservative answer, because it is the one that makes a listener re-read everything

    - `structureId`: the home affected, or `null` when the change is not scoped to one

    - `accessoryId`: the accessory affected, or `null`

- ## Method Details

  - ### getKind

    public StructureChangeKind getKind()

    What changed.

    ###### Returns

    the kind, never `null`

  - ### getStructureId

    public String getStructureId()

    The home this is about.

    ###### Returns

    the structure identifier, or `null` when the change is not scoped to one home

  - ### getAccessoryId

    public String getAccessoryId()

    The accessory this is about.

    ###### Returns

    the accessory identifier, or `null` when the change is not about one accessory

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`